---
title: Visibility
url: https://docs.vultr.com/products/orchestration/container-registry/management/visibility
description: Controls which users can view and access specific resources in your Vultr account.
publish_date: 2024-09-23T20:21:27.451242Z
last_updated: 2026-05-26T20:19:08.437931Z
---

# How to Manage the Visibility of Vultr Container Registry

Setting a Vultr Container Registry to Public allows broader access, making it easier to share and deploy container images across multiple environments and teams. By configuring your registry to be public, you facilitate wider distribution and collaboration on your containerized applications.

Follow this guide to set your container registry visibility to public on your Vultr account using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Container Registry**.

    1. Click your target registry to open its management page.

    1. Click **Settings** to open its settings page.

    1. In the **Change Visibility** section, check the **Public** box to set the visibility to public, or uncheck the box to set it to private.
   
    1. Click **Update** to apply the change.

=== "Vultr API"

    1. Send a `GET` request to the [**List Container Registries** endpoint](https://www.vultr.com/api/#tag/Container-Registry/operation/list-registries) and note the target registry's ID.

        ```console
        $ curl "https://api.vultr.com/v2/registries" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PUT` request to the [**Update Container Registry** endpoint](https://www.vultr.com/api/#tag/Container-Registry/operation/update-registry) to update the target registry visibility.

        ```console
        $ curl "https://api.vultr.com/v2/registry/{registry-id}" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "public" : true
            }'
        ```

=== "Vultr CLI"

    1. List all the available registries in your Vultr account and note the target registry's ID.

        ```console
        $ vultr-cli container-registry list
        ```

    1. Update the visibility of your target registry.

        ```console
        $ vultr-cli container-registry update <registry-id> --public true
        ```

=== "Terraform"

    1. Open your Terraform configuration where the Container Registry is defined.

    1. Update the `public` attribute in your Container Registry resource to change the visibility.

        ```terraform
        terraform {
            required_providers {
                vultr = {
                    source  = "vultr/vultr"
                    version = "~> 2.27"
                }
            }
        }

        provider "vultr" {}

        resource "vultr_container_registry" "registry" {
          name   = "container-registry"
          region = "sjc"
          plan   = "start_up"
          public = true  # true=public, false=private
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
